Bug 250535 - Kontact (E5) startup crash
Summary: Kontact (E5) startup crash
Status: RESOLVED UNMAINTAINED
Alias: None
Product: kontact
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Debian testing Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-09-08 10:57 UTC by Sascha L. Teichmann
Modified: 2017-01-07 22:33 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sascha L. Teichmann 2010-09-08 10:57:42 UTC
Application: kontact (4.6 pre)
KDE Platform Version: 4.5.00 (KDE 4.5.0)
Qt Version: 4.6.3
Operating System: Linux 2.6.32-5-686 i686
Distribution: Debian GNU/Linux testing (squeeze)

-- Information about the crash:
Just started kontact from the command line and it crashed.

$ dpkg -s kontact | grep Version
Version: 4:4.5~e5.20100903.1171290-kk1.1170050

$ kontact

-> BOOM

The crash can be reproduced every time.

-- Backtrace:
Application: Kontact (kontact), signal: Segmentation fault
[Current thread is 1 (Thread 0xb3251970 (LWP 26213))]

Thread 2 (Thread 0xb0ea9b70 (LWP 26216)):
#0  0xb77c9424 in __kernel_vsyscall ()
#1  0xb479ff7f in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/i686/cmov/libpthread.so.0
#2  0xb627a0bd in pthread_cond_wait () from /lib/i686/cmov/libc.so.6
#3  0xb539d077 in ?? () from /usr/lib/libQtWebKit.so.4
#4  0xb539d0c1 in ?? () from /usr/lib/libQtWebKit.so.4
#5  0xb479b955 in start_thread () from /lib/i686/cmov/libpthread.so.0
#6  0xb626d10e in clone () from /lib/i686/cmov/libc.so.6

Thread 1 (Thread 0xb3251970 (LWP 26213)):
[KCrash Handler]
#7  QSortFilterProxyModelPrivate::proxy_to_source (this=0x918cae8, proxy_index=...) at itemviews/qsortfilterproxymodel.cpp:332
#8  0xb7085583 in QSortFilterProxyModel::mapToSource (this=0x918cad8, proxyIndex=...) at itemviews/qsortfilterproxymodel.cpp:2454
#9  0xb708078c in QSortFilterProxyModel::columnCount (this=0x918cad8, parent=...) at itemviews/qsortfilterproxymodel.cpp:1643
#10 0xb707f8ff in QSortFilterProxyModelPrivate::create_mapping (this=0x9195de0, source_parent=...) at itemviews/qsortfilterproxymodel.cpp:294
#11 0xb708087e in QSortFilterProxyModel::rowCount (this=0x9191598, parent=...) at itemviews/qsortfilterproxymodel.cpp:1633
#12 0xb4cae8ae in Akonadi::EntityTreeViewStateSaverPrivate::restoreState(QModelIndex const&) () from /usr/lib/libakonadi-kde.so.4
#13 0xb4cae883 in Akonadi::EntityTreeViewStateSaverPrivate::restoreState(QModelIndex const&) () from /usr/lib/libakonadi-kde.so.4
#14 0xb4cae883 in Akonadi::EntityTreeViewStateSaverPrivate::restoreState(QModelIndex const&) () from /usr/lib/libakonadi-kde.so.4
#15 0xb4cad91e in Akonadi::EntityTreeViewStateSaver::restoreState (this=0x91a2950, configGroup=...) at ../../akonadi/entitytreeviewstatesaver.cpp:222
#16 0xaecd06ae in ActionManager::restoreCollectionViewSetting (this=0x91658a8) at ../../korganizer/actionmanager.cpp:845
#17 0xaecd072d in ActionManager::slotResourcesAddedRemoved (this=0x91658a8) at ../../korganizer/actionmanager.cpp:804
#18 0xaece3e0d in ActionManager::qt_metacall (this=0x91658a8, _c=QMetaObject::InvokeMetaMethod, _id=68, _a=0xbfc803ec) at ./actionmanager.moc:267
#19 0xb654f7da in QMetaObject::metacall (object=0x91658a8, cl=152619752, idx=72, argv=0xbfc803ec) at kernel/qmetaobject.cpp:237
#20 0xb655e1eb in QMetaObject::activate (sender=0x918ae40, m=0xaedba040, local_signal_index=1, argv=0x0) at kernel/qobject.cpp:3295
#21 0xaecfb627 in AkonadiCollectionView::resourcesAddedRemoved (this=0x918ae40) at ./akonadicollectionview.moc:124
#22 0xaecfeb29 in AkonadiCollectionView::rowsInserted (this=0x918ae40, _c=QMetaObject::InvokeMetaMethod, _id=35, _a=0xbfc80540) at ../../korganizer/akonadicollectionview.cpp:441
#23 AkonadiCollectionView::qt_metacall (this=0x918ae40, _c=QMetaObject::InvokeMetaMethod, _id=35, _a=0xbfc80540) at ./akonadicollectionview.moc:102
#24 0xb654f7da in QMetaObject::metacall (object=0x918ae40, cl=152619752, idx=35, argv=0xbfc80540) at kernel/qmetaobject.cpp:237
#25 0xb655e1eb in QMetaObject::activate (sender=0x9168360, m=0xb665e318, local_signal_index=5, argv=0xbfc80540) at kernel/qobject.cpp:3295
#26 0xb65af9ef in QAbstractItemModel::rowsInserted (this=0x9168360, _t1=..., _t2=0, _t3=0) at .moc/release-shared/moc_qabstractitemmodel.cpp:181
#27 0xb65431d3 in QAbstractItemModel::endInsertRows (this=0x9168360) at kernel/qabstractitemmodel.cpp:2413
#28 0xb70836dd in QSortFilterProxyModelPrivate::insert_source_items (this=0x918c7f0, source_to_proxy=..., proxy_to_source=..., source_items=..., source_parent=..., orient=Qt::Vertical, 
    emit_signal=true) at itemviews/qsortfilterproxymodel.cpp:656
#29 0xb7083c17 in QSortFilterProxyModelPrivate::source_items_inserted (this=0x918c7f0, source_parent=..., start=<value optimized out>, end=0, orient=Qt::Vertical)
    at itemviews/qsortfilterproxymodel.cpp:767
#30 0xb7085bbf in QSortFilterProxyModelPrivate::_q_sourceRowsInserted (this=0x918c7f0, source_parent=..., start=0, end=0) at itemviews/qsortfilterproxymodel.cpp:1242
#31 0xb708797f in QSortFilterProxyModel::qt_metacall (this=0x9168360, _c=QMetaObject::InvokeMetaMethod, _id=12, _a=0xbfc80860) at .moc/release-shared/moc_qsortfilterproxymodel.cpp:135
#32 0xb4baedb2 in Akonadi::CollectionFilterProxyModel::qt_metacall (this=0x9168360, _c=QMetaObject::InvokeMetaMethod, _id=37, _a=0xbfc80860) at ./collectionfilterproxymodel.moc:64
#33 0xb654f7da in QMetaObject::metacall (object=0x9168360, cl=152619752, idx=37, argv=0xbfc80860) at kernel/qmetaobject.cpp:237
#34 0xb655e1eb in QMetaObject::activate (sender=0x918a510, m=0xb665e318, local_signal_index=5, argv=0xbfc80860) at kernel/qobject.cpp:3295
#35 0xb65af9ef in QAbstractItemModel::rowsInserted (this=0x918a510, _t1=..., _t2=0, _t3=0) at .moc/release-shared/moc_qabstractitemmodel.cpp:181
#36 0xb65431d3 in QAbstractItemModel::endInsertRows (this=0x918a510) at kernel/qabstractitemmodel.cpp:2413
#37 0xb70836dd in QSortFilterProxyModelPrivate::insert_source_items (this=0x918a520, source_to_proxy=..., proxy_to_source=..., source_items=..., source_parent=..., orient=Qt::Vertical, 
    emit_signal=true) at itemviews/qsortfilterproxymodel.cpp:656
#38 0xb7083c17 in QSortFilterProxyModelPrivate::source_items_inserted (this=0x918a520, source_parent=..., start=<value optimized out>, end=0, orient=Qt::Vertical)
    at itemviews/qsortfilterproxymodel.cpp:767
#39 0xb7085bbf in QSortFilterProxyModelPrivate::_q_sourceRowsInserted (this=0x918a520, source_parent=..., start=0, end=0) at itemviews/qsortfilterproxymodel.cpp:1242
#40 0xb708797f in QSortFilterProxyModel::qt_metacall (this=0x918a510, _c=QMetaObject::InvokeMetaMethod, _id=12, _a=0xbfc80b80) at .moc/release-shared/moc_qsortfilterproxymodel.cpp:135
#41 0xafcf5c42 in CalendarSupport::CollectionSelectionProxyModel::qt_metacall (this=0x918a510, _c=QMetaObject::InvokeMetaMethod, _id=37, _a=0xbfc80b80) at moc_collectionselectionproxymodel.cpp:64
#42 0xb654f7da in QMetaObject::metacall (object=0x918a510, cl=152619752, idx=37, argv=0xbfc80b80) at kernel/qmetaobject.cpp:237
#43 0xb655e1eb in QMetaObject::activate (sender=0x9188bd0, m=0xb665e318, local_signal_index=5, argv=0xbfc80b80) at kernel/qobject.cpp:3295
#44 0xb65af9ef in QAbstractItemModel::rowsInserted (this=0x9188bd0, _t1=..., _t2=0, _t3=0) at .moc/release-shared/moc_qabstractitemmodel.cpp:181
#45 0xb65431d3 in QAbstractItemModel::endInsertRows (this=0x9188bd0) at kernel/qabstractitemmodel.cpp:2413
#46 0xb4beabe3 in Akonadi::EntityTreeModelPrivate::collectionsFetched (this=0x91889b0, collections=...) at ../../akonadi/entitytreemodel_p.cpp:373
#47 0xb4bdd7fe in Akonadi::EntityTreeModel::qt_metacall (this=0x9188bd0, _c=QMetaObject::InvokeMetaMethod, _id=32, _a=0xbfc80f18) at ./entitytreemodel.moc:135
#48 0xafcf66d2 in CalendarSupport::CalendarModel::qt_metacall (this=0x9188bd0, _c=QMetaObject::InvokeMetaMethod, _id=32, _a=0xbfc80f18) at moc_calendarmodel.cpp:66
#49 0xb654f7da in QMetaObject::metacall (object=0x9188bd0, cl=152619752, idx=32, argv=0xbfc80f18) at kernel/qmetaobject.cpp:237
#50 0xb655e1eb in QMetaObject::activate (sender=0x8e8ca10, m=0xb4d1a9b4, local_signal_index=0, argv=0xbfc80f18) at kernel/qobject.cpp:3295
#51 0xb4bb0793 in Akonadi::CollectionFetchJob::collectionsReceived (this=0x8e8ca10, _t1=...) at ./collectionfetchjob.moc:92
#52 0xb4bb0bd2 in Akonadi::CollectionFetchJobPrivate::timeout (this=0x8e8ca10, _c=QMetaObject::InvokeMetaMethod, _id=2, _a=0xbfc81058) at ../../akonadi/collectionfetchjob.cpp:64
#53 Akonadi::CollectionFetchJob::qt_metacall (this=0x8e8ca10, _c=QMetaObject::InvokeMetaMethod, _id=2, _a=0xbfc81058) at ./collectionfetchjob.moc:80
#54 0xb654f7da in QMetaObject::metacall (object=0x8e8ca10, cl=152619752, idx=37, argv=0xbfc81058) at kernel/qmetaobject.cpp:237
#55 0xb655e1eb in QMetaObject::activate (sender=0x8e8ca10, m=0xb68ebc68, local_signal_index=3, argv=0xbfc81058) at kernel/qobject.cpp:3295
#56 0xb677dce3 in KJob::result (this=0x8e8ca10, _t1=0x8e8ca10) at ./kjob.moc:194
#57 0xb677e048 in KJob::emitResult (this=0x8e8ca10) at ../../kdecore/jobs/kjob.cpp:312
#58 0xb4c25649 in Akonadi::JobPrivate::delayedEmitResult (this=0x8e8ca10, _c=QMetaObject::InvokeMetaMethod, _id=34, _a=0xbfc811bc) at ../../akonadi/job.cpp:143
#59 Akonadi::Job::qt_metacall (this=0x8e8ca10, _c=QMetaObject::InvokeMetaMethod, _id=34, _a=0xbfc811bc) at ./job.moc:91
#60 0xb4bb0aca in Akonadi::CollectionFetchJob::qt_metacall (this=0x8e8ca10, _c=QMetaObject::InvokeMetaMethod, _id=34, _a=0xbfc811bc) at ./collectionfetchjob.moc:73
#61 0xb654f7da in QMetaObject::metacall (object=0x8e8ca10, cl=152619752, idx=34, argv=0xbfc811bc) at kernel/qmetaobject.cpp:237
#62 0xb655e1eb in QMetaObject::activate (sender=0x92e37d0, m=0xb665d308, local_signal_index=0, argv=0x0) at kernel/qobject.cpp:3295
#63 0xb6565aa7 in QSingleShotTimer::timeout (this=0x92e37d0) at .moc/release-shared/qtimer.moc:82
#64 0xb6565bbc in QSingleShotTimer::timerEvent (this=0x92e37d0) at kernel/qtimer.cpp:308
#65 0xb655ac84 in QObject::event (this=0x92e37d0, e=0x0) at kernel/qobject.cpp:1212
#66 0xb6a4d5cc in QApplicationPrivate::notify_helper (this=0x8c2a2d8, receiver=0x92e37d0, e=0xbfc816f0) at kernel/qapplication.cpp:4302
#67 0xb6a5415e in QApplication::notify (this=0xbfc81a54, receiver=0x92e37d0, e=0xbfc816f0) at kernel/qapplication.cpp:3706
#68 0xb7556fba in KApplication::notify (this=0xbfc81a54, receiver=0x92e37d0, event=0xbfc816f0) at ../../kdeui/kernel/kapplication.cpp:312
#69 0xb654a4fb in QCoreApplication::notifyInternal (this=0xbfc81a54, receiver=0x92e37d0, event=0xbfc816f0) at kernel/qcoreapplication.cpp:726
#70 0xb65797c6 in QCoreApplication::sendEvent (this=0x8c2d034) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#71 QTimerInfoList::activateTimers (this=0x8c2d034) at kernel/qeventdispatcher_unix.cpp:603
#72 0xb65763b4 in timerSourceDispatch (source=0x8c2d000) at kernel/qeventdispatcher_glib.cpp:184
#73 0xb46f12f5 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#74 0xb46f4fd8 in ?? () from /lib/libglib-2.0.so.0
#75 0xb46f51b8 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#76 0xb65760a5 in QEventDispatcherGlib::processEvents (this=0x8c0aa30, flags=...) at kernel/qeventdispatcher_glib.cpp:412
#77 0xb6b0bf25 in QGuiEventDispatcherGlib::processEvents (this=0x8c0aa30, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#78 0xb6548b19 in QEventLoop::processEvents (this=0xbfc819b4, flags=) at kernel/qeventloop.cpp:149
#79 0xb6548f6a in QEventLoop::exec (this=0xbfc819b4, flags=...) at kernel/qeventloop.cpp:201
#80 0xb654e19f in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1003
#81 0xb6a4d667 in QApplication::exec () at kernel/qapplication.cpp:3581
#82 0x0804b406 in main (argc=1, argv=0xbfc81c74) at ../../../kontact/src/main.cpp:218

Reported using DrKonqi
Comment 1 Inge Wallin 2012-05-03 22:51:46 UTC
Git commit ad02e25d9e4e11afc6e13ce813c4d4bd46a822ca by Inge Wallin.
Committed on 04/05/2012 at 00:50.
Pushed by ingwa into branch 'master'.

Fix bug 260535 - kpresenter:openoffice:Shadow of the picture is not getting displayed.

This patch solves the problem that only shapes with a fill/background
and/or a stroke can have a shadow. This was bad for the picture shape
that most of the time had neither.
REVIEW: 104844

M  +11   -1    libs/flake/KoShape.cpp
M  +12   -0    libs/flake/KoShape.h
M  +10   -1    libs/flake/KoShapeShadow.cpp
M  +6    -0    plugins/pictureshape/PictureShape.cpp
M  +3    -0    plugins/pictureshape/PictureShape.h

http://commits.kde.org/calligra/ad02e25d9e4e11afc6e13ce813c4d4bd46a822ca
Comment 2 Inge Wallin 2012-05-03 22:54:49 UTC
I'm very sorry, I closed the wrong bug with my commit.  It should have been 2_6_0535
Comment 3 Denis Kurz 2016-09-24 19:29:49 UTC
This bug has only been reported for versions before 4.14, which have been unsupported for at least two years now. Can anyone tell if this bug still present?

If noone confirms this bug for a Framework-based version of kontact (version 5.0 or later, as part of KDE Applications 15.08 or later), it gets closed in about three months.
Comment 4 Denis Kurz 2017-01-07 22:33:09 UTC
Just as announced in my last comment, I close this bug. If you encounter it again in a recent version (at least 5.0 aka 15.08), please open a new one unless it already exists. Thank you for all your input.